Doomsday Engine - Feature #1669

Invisibility affects player automap arrow (option)
2013-11-25 21:32 - vermil

Status: Rejected Start date: 2013-11-25
Priority: Low % Done: 0%
Assignee:

Category: Vanilla emulation

Target version:

Description

Pretty much what the subject states; if the player is under the effect of an Blur Artefact or Shadow Sphere, the player's arrow on the
automap becomes transparent instead of the usual white.

History

#1 - 2013-11-26 10:19 - danij

The automap apes vanilla:

linuxdoom-1.10 source, am_map.c line 1242

void AM_drawPlayers (void)

{

int alg

player_t* ©8

static int their_colors[] = { GREENS, GRAYS, BROWNS, REDS };
int their_color = -1;

int color;

if (!netgame)
{
if (cheating)
AM_drawLineCharacter
(cheat_player_arrow, NUMCHEATPLYRLINES, O,
plr->mo->angle, WHITE, plr->mo->x, plr->mo->y);
else
AM_drawLineCharacter
(player_arrow, NUMPLYRLINES, 0, plr->mo->angle,
WHITE, plr->mo->x, plr->mo->y);
return;

}

for (i=0; 1<MAXPLAYERS; i++)
{

their_color++;

p = &players[il];

if ( (deathmatch && !singledemo) && p != plr)
continue;

if (!playeringame[il])
continue;

if (p—>powers[pw_invisibility])

color = 246; // *close* to black e see
else

color = their_colors[their_color];

AM_drawLineCharacter

(player_arrow, NUMPLYRLINES, 0, p->mo->angle,
color, p->mo->x, pP->mMo—>V);

#2 - 2013-11-26 11:26 - vermil

Interesting; the automap arrow doesn't change colour in 1.9 in Dosbox.
#3 - 2013-11-26 11:49 - skyjake

- Tags set to Gameplay, Automap, Doom

- Tracker changed from Bug to Feature

- Subject changed from Invisibility affects player automap arrow to Invisibility affects player automap arrow (option)
- Category set to Vanilla emulation

- Priority changed from Normal to Low

Since this appears to be a purposeful feature of linuxdoom, I'm converting this to a vanilla compatibility feature request.

#4 - 2019-11-29 15:50 - skyjake

- Status changed from New to Rejected
